Skip to main content
POST
/
v2
/
organizations
/
{orgId}
/
attributes
/
options
/
{userId}
Assign an attribute to a user
curl --request POST \
  --url https://api.cal.com/v2/organizations/{orgId}/attributes/options/{userId} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "attributeId": "<string>",
  "value": "<string>",
  "attributeOptionId": "<string>",
  "weight": 1
}
'
import requests

url = "https://api.cal.com/v2/organizations/{orgId}/attributes/options/{userId}"

payload = {
"attributeId": "<string>",
"value": "<string>",
"attributeOptionId": "<string>",
"weight": 1
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attributeId: '<string>',
value: '<string>',
attributeOptionId: '<string>',
weight: 1
})
};

fetch('https://api.cal.com/v2/organizations/{orgId}/attributes/options/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "id": "<string>",
    "memberId": 123,
    "attributeOptionId": "<string>",
    "weight": 123
  }
}

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_

Path Parameters

orgId
number
required
userId
number
required

Body

application/json
attributeId
string
required
value
string
attributeOptionId
string
weight
number

The weight of the attribute for this user

Required range: x >= 0

Response

201 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required